## ros-kinetic-pr2-mannequin-mode 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_mannequin_mode)

find_package(catkin REQUIRED COMPONENTS
  pr2_controller_manager
  pr2_controllers_msgs
  trajectory_msgs
)
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES pr2_mannequin_mode
#  CATKIN_DEPENDS pr2_controller_manager pr2_controllers_msgs trajectory_msgs
#  DEPENDS system_lib
   CATKIN_DEPENDS trajectory_msgs pr2_controllers_msgs 
)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS scripts/trajectory_lock.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES icon.png
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-pr2-mannequin-mode (0.6.0-0xenial) xenial; urgency=high

  * Merge pull request #23 <https://github.com/pr2/pr2_apps/issues/23> from 23pointsNorth/patch-2
    Add queue size to trajectory_lock script
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * Add queue size to trajectory_lock script
    Add queue_size as to remove following error:
    /opt/ros/indigo/share/pr2_mannequin_mode/scripts/trajectory_lock.py:77: SyntaxWarning: The publisher should be created with an explicit keyword argument 'queue_size'. Please see http://wiki.ros.org/rospy/Overview/Publishers%20and%20Subscribers for more information.
    pub = rospy.Publisher("command", trajectory_msgs.msg.JointTrajectory)
    Size of 10 was selected arbitrary as working.
  * Contributors: Daniel Angelov, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.20-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 04 May 2015 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.19-0xenial) xenial; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 28 Apr 2015 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.18-0xenial) xenial; urgency=high

  * fix install destination
  * Contributors: Furushchev

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.16-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.15-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 27 Jan 2015 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.14-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 19 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.13-0xenial) xenial; urgency=high

  * Files were in correcet positoin, script was referencing wrong subdir
  * Mannequin mode installs
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.12-0xenial) xenial; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 16 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.11-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.10-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 16 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.9-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.8-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.7-0xenial) xenial; urgency=high

  * Changelog
  * install targets
  * Contributors: TheDash
  * install targets
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.6-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.5-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.4-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.3-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.2-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-mannequin-mode (0.5.1-0xenial) xenial; urgency=high

  * Fixed bug in CMake regarding pr2_ctrls_msgs
  * fix version number
  * fix to install script/launch
  * catkinization of pr2_teleop and pr2_mannequin mode
    Included organizing files into launch/config directories.
  * Remove mannequin mode
  * Add a new icon for mannequin mode
  * Add mannequin mode to the apps server.
  * use namespaced versions of controllers
  * Added Ubuntu platform tags to manifest
  * Dropping mannequin mode d-gain in order to reduce controller buzzing
  * Upping head mannequin gains for heavy beta head
  * Arm controllers now come back up after killing mannequin mode, with unspawner. Trac #3295 <https://github.com/PR2/pr2_apps/issues/3295> #3664 <https://github.com/PR2/pr2_apps/issues/3664>
  * staging pr2_apps into tick-tock
  * Contributors: Kei Okada, Laura Lindzey, TheDash, Tony Pratkanis, gerkey, kwc, pratkanis, vpradeep, wim



=== debian/control ===
Source: ros-kinetic-pr2-mannequin-mode
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-trajectory-msgs
Homepage: http://wiki.ros.org/pr2_mannequin_mode
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-mannequin-mode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-trajectory-msgs
Description: The pr2_mannequin_mode package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-mannequin-mode//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
